Description

Please consider adding usf as an official input plugin

I have been able to build from https://github.com/saschaklick/audacious-usf-plugin with relatively little hassle on a Fedora 29 Linux

machine

This plugin will be of interest to videogame enthusiasts (specifically N64 fans)

History

#1 - March 22, 2019 17:21 - John Lindgren

What license is it under?

Are you the author?

#2 - May 26, 2019 19:51 - Ariadne Conill

I wrote the plugin originally, but we dropped it because:

- the emulator was buggy

- there was not much observed interest in USF modules

I think it is better that it stays under third party maintenance.

#3 - April 07, 2021 01:00 - S WTY

@Jarrod, are you still able to use this plug-in without issue? I recently found that same repository and attempted to compile and use it myself. It does

allow Audacious to at least recognise USF data but I found (via 'Audacious -V') that it seems to get stuck when 'freeing memory' after stopping the

first USF it plays and attempting to play a subsequent USF only results indefinite 'buffering' and eventually I have to kill the process to get Audacious

to close.

Furthermore, it doesn't handle very well cases where the USFLIB file is not found (moving from Windows to Linux means file names are case

sensitive now), resulting in a segmentation fault.

(I'm currently using Audacious 4.1.0 so internals may have changed since the plug-in was written.)

It may well be better that this plug-in remain third-party but I don't think that author is continuing to offer any support.

I'm a little disappointed (notwithstanding the great work Audacious devs have done in making a flexible system in a similar vein to Winamp) because

while Audacious covers most of my needs that I was previously making do with Winamp via Wine, it is lacking USF and GSF support (while

supporting practically everything else I want, including NSF, SPC, GBS, 2SF, etc). I note there is a request for GSF support at 

https://redmine.audacious-media-player.org/boards/1/topics/2377
#4 - April 01, 2023 23:37 - Ash Daveson

Same "Freeing memory" bug on 4.2. Wish this was still maintained ://
